%{?nodejs_find_provides_and_requires}

%global packagename rollup-plugin-typescript

# use the pre-transpiled versions for now, until we get
# enough rollup support to transpile as part of the build process
%global bootstrap 1

# tests are currently failing in npm(snapdragon), down in the depths
# of the dependency chain
%global enable_tests 0

Name:		nodejs-rollup-plugin-typescript
Version:	0.8.1
Release:	2%{?dist}
Summary:	Seamless integration between Rollup and TypeScript

License:	MIT
URL:		https://github.com/rollup/rollup-plugin-typescript
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# Rollup config
Source11:	https://raw.githubusercontent.com/rollup/rollup-plugin-typescript/v%{version}/rollup.config.js


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(compare-versions)
BuildRequires:	npm(object-assign)
BuildRequires:	npm(rollup)
BuildRequires:	npm(rollup-plugin-buble)
BuildRequires:	npm(rollup-pluginutils)
BuildRequires:	npm(tippex)
BuildRequires:	npm(typescript)

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Seamless integration between Rollup and TypeScript.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
cp -p %{SOURCE11} .

%nodejs_fixdep compare-versions
%nodejs_fixdep rollup-plugin-node-resolve
%nodejs_fixdep rollup-pluginutils
%nodejs_fixdep tippex
%nodejs_fixdep typescript


%build
%if !0%{?bootstrap}
# Run rollup to re-transpile the code
rm -rf dist/
%nodejs_symlink_deps --build
rollup -c
rm -rf node_modules
%else
# nothing to do
%endif

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json dist/ src/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 31 2018 Jared K. Smith <jsmith@fedoraproject.org> - 0.8.1-1
- Initial packaging
